> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withcortex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tests Expectations

> Retrieve a list of workflow test expectations for a specific workflow.



## OpenAPI

````yaml get /apps/{app_id}/workflows/{workflow_id}/tests/expectations
openapi: 3.0.0
info:
  version: 1.0.0
  title: API
servers: []
security: []
paths:
  /apps/{app_id}/workflows/{workflow_id}/tests/expectations:
    get:
      summary: Get Tests Expectations
      description: Retrieve a list of workflow test expectations for a specific workflow.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the app
          name: app_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the workflow
          name: workflow_id
          in: path
        - schema:
            type: string
          required: false
          name: search
          in: query
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WorkflowExpectationSchema'
components:
  schemas:
    WorkflowExpectationSchema:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the expectation
        name:
          type: string
          minLength: 1
          maxLength: 256
          description: Name of the expectation (max 256 characters)
        script:
          type: string
          maxLength: 10240
          description: >-
            JavaScript code that results in a boolean value determining if the
            expectation passed or failed
        created_at:
          type: string
          nullable: true
          description: Creation date of the expectation
          format: date
        updated_at:
          type: string
          nullable: true
          description: Last update date of the expectation
          format: date
      required:
        - id
        - name
        - script
        - created_at
        - updated_at
      description: Detailed information about an expectation within a workflow

````